NXWidgets: NxWM::CFullScreenWindow Class Reference

NXWidgets 1.19

Public Member Functions | Protected Attributes | List of all members
NxWM::CFullScreenWindow Class Reference

`#include <cfullscreenwindow.hxx>`

Inheritance diagram for NxWM::CFullScreenWindow:

## Public Member Functions
| CFullScreenWindow (NXWidgets::CNxWindow *window)
| ~CFullScreenWindow (void)
bool | open (void)
void | redraw (void)
void | hide (void)
NXWidgets::INxWindow * | getWindow (void) const
NXWidgets::CWidgetControl * | getWidgetControl (void) const
void | block (IApplication *app)
void | setWindowLabel (NXWidgets::CNxString &appname)
bool | isFullScreen (void) const
void | registerCallbacks (IApplicationCallback *callback)
void | clickMinimizePosition (bool click)
void | clickStopIcon (bool click)
Public Member Functions inherited from NxWM::IApplicationWindow
virtual | ~IApplicationWindow (void)

## Protected Attributes
NXWidgets::CNxWindow * | m_window

## Detailed Description

This class represents a generic window. This bland window is used, for example, to support full screen displays.

Definition at line 67 of file cfullscreenwindow.hxx.

## Constructor & Destructor Documentation

## ◆ CFullScreenWindow()

CFullScreenWindow::CFullScreenWindow | ( | NXWidgets::CNxWindow * | window | ) |

CFullScreenWindow Constructor

Parameters

  window. | The raw window to be used by this full screen application.

CFullScreenWindow Constructor

Parameters

  window. | The raw window to be used by this application.

Definition at line 68 of file cfullscreenwindow.cxx.

## ◆ ~CFullScreenWindow()

CFullScreenWindow::~CFullScreenWindow | ( | void |  | ) |

CFullScreenWindow Destructor

Definition at line 79 of file cfullscreenwindow.cxx.

## Member Function Documentation

## ◆ block()

void CFullScreenWindow::block | ( | IApplication * | app | ) |
| virtual

Block further activity on this window in preparation for window shutdown.

Parameters

  app. | The application to be blocked

Implements NxWM::IApplicationWindow.

Definition at line 148 of file cfullscreenwindow.cxx.

## ◆ clickMinimizePosition()

void CFullScreenWindow::clickMinimizePosition | ( | bool | click | ) |
| virtual

Simulate a mouse click or release on the minimize icon. This method is only available for automated testing of NxWM.

Parameters

  click. | True to click; false to release;

Implements NxWM::IApplicationWindow.

Definition at line 199 of file cfullscreenwindow.cxx.

## ◆ clickStopIcon()

void CFullScreenWindow::clickStopIcon | ( | bool | click | ) |
| virtual

Simulate a mouse click or release on the stop icon. This method is only available for automated testing of NxWM.

Parameters

  click. | True to click; false to release;

Implements NxWM::IApplicationWindow.

Definition at line 212 of file cfullscreenwindow.cxx.

## ◆ getWidgetControl()

NXWidgets::CWidgetControl * CFullScreenWindow::getWidgetControl | ( | void |  | ) | const
| virtual

Recover the contained widget control

Returns
  . The widget control used by this application

Implements NxWM::IApplicationWindow.

Definition at line 136 of file cfullscreenwindow.cxx.

## ◆ getWindow()

NXWidgets::INxWindow * CFullScreenWindow::getWindow | ( | void |  | ) | const
| virtual

Recover the contained NXTK window instance

Returns
  . The window used by this application

Recover the contained raw window instance

Returns
  . The window used by this application

Implements NxWM::IApplicationWindow.

Definition at line 125 of file cfullscreenwindow.cxx.

## ◆ hide()

void CFullScreenWindow::hide | ( | void |  | ) |
| virtual

The application window is hidden (either it is minimized or it is maximized, but not at the top of the hierarchy)

Implements NxWM::IApplicationWindow.

Definition at line 115 of file cfullscreenwindow.cxx.

## ◆ isFullScreen()

bool CFullScreenWindow::isFullScreen | ( | void |  | ) | const
| virtual

Report of this is a "normal" window or a full screen window. The primary purpose of this method is so that window manager will know whether or not it show draw the task bar.

Returns
  True if this is a full screen window.

Implements NxWM::IApplicationWindow.

Definition at line 178 of file cfullscreenwindow.cxx.

## ◆ open()

bool CFullScreenWindow::open | ( | void |  | ) |
| virtual

Initialize window. Window initialization is separate from object instantiation so that failures can be reported.

Returns
  True if the window was successfully initialized.

Implements NxWM::IApplicationWindow.

Definition at line 97 of file cfullscreenwindow.cxx.

## ◆ redraw()

void CFullScreenWindow::redraw | ( | void |  | ) |
| virtual

Re-draw the application window

Implements NxWM::IApplicationWindow.

Definition at line 106 of file cfullscreenwindow.cxx.

## ◆ registerCallbacks()

void CFullScreenWindow::registerCallbacks | ( | IApplicationCallback * | callback | ) |
| virtual

Register to receive callbacks when toolbar icons are selected

Implements NxWM::IApplicationWindow.

Definition at line 187 of file cfullscreenwindow.cxx.

## ◆ setWindowLabel()

void CFullScreenWindow::setWindowLabel | ( | NXWidgets::CNxString & | appname | ) |
| virtual

Set the window label

Parameters

  appname. | The name of the application to place on the window

Implements NxWM::IApplicationWindow.

Definition at line 166 of file cfullscreenwindow.cxx.

## Member Data Documentation

## ◆ m_window

NXWidgets::CNxWindow* NxWM::CFullScreenWindow::m_window
| protected

The generic window used by the application

Definition at line 70 of file cfullscreenwindow.hxx.

The documentation for this class was generated from the following files:

- cfullscreenwindow.hxx
- cfullscreenwindow.cxx